# snag

Snapshot Git - система резервного копирования на основе фиксации состояния файлов с помощью Git.

## Использование

### Описание файла конфигурации

---

```json
{
	"git": "/tmp/testgit",
	"project": "/tmp/test",
	"email": "user@site.domain",
	"user": "snag"
}
```

1. **`"git"`**
	- *Тип:* Строка (путь)
	- *Назначение:* Указывает расположение Git-репозитория

2. **`"project"`**
	- *Тип:* Строка (путь)
	- *Назначение:* Корневая директория для отслеживания состояния файлов

3. **`"email"`**
	- *Тип:* Строка (email)
	- *Назначение:* Email автора коммитов в Git

4. **`"user"`**  
	- *Тип:* Строка
	- *Назначение:* Имя пользователя для Git-операций

### Описание программы `snag`

---

#### **Общий синтаксис**

```bash
snag [ОПЦИИ] [ГЛАВНАЯ_КОМАНДА] [ОПЦИИ] [АРГУМЕНТЫ]
```

---

#### **Основные команды**

| Команда    | Описание                                                                 |
|------------|--------------------------------------------------------------------------|
| `restore`  | Восстановить проект до состояния указанного снимка                       |
| `init`     | Инициализировать репозиторий для хранения снимков                        |
| `list`     | Показать список доступных снимков                                        |
| `status`   | Проверить состояние отслеживаемых файлов (изменения с последнего снимка) |
| `create`   | Создать новый снимок состояния проекта                                   |

---

#### **Флаги и опции**

| Опция               | Описание                                                                 |
|---------------------|--------------------------------------------------------------------------|
| `-h`, `--help`      | Показать справку по команде                                              |
| `--version`         | Показать версию программы                                                |
| `-c`, `--config`    | Указать путь к файлу конфигурации (необязательно)                        |

---
